Unseal Space
REST APIRegistered domains

Create a DNS-only record on a Registered domain

POST
/domains/{name}/dns-records
x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Path Parameters

name*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

record*
idempotencyKey?string
Length1 <= length <= 128

Response Body

application/json

curl -X POST "https://example.com/domains/string/dns-records" \  -H "Content-Type: application/json" \  -d '{    "record": {      "type": "A",      "name": "string",      "content": "string"    }  }'
{  "type": "A",  "name": "string",  "content": "string",  "ttl": 1,  "comment": "string",  "priority": 0,  "flags": 0,  "tag": "issue",  "weight": 0,  "port": 0,  "id": "string",  "proxied": true,  "managedBy": "customer",  "managedReason": "string"}